TestCase subclass: #BombermanTest
	instanceVariableNames: ''
	classVariableNames: ''
	package: 'BombermanTests'!

!BombermanTest methodsFor: 'tests' stamp: 'aa 11/5/2020 17:30'!
test01BombermanDaUnPasoHaciaLugarVacioYSeMueve
  |bomberman unLugar otroLugar|

  unLugar := Lugar new. "por default vacio"
  otroLugar := Lugar new.
  bomberman := Bomberman enLugar: unLugar.

  bomberman mover: otroLugar.

	self assert: (bomberman estaEn: otroLugar).
	self deny: (bomberman estaEn: unLugar).
! !

!BombermanTest methodsFor: 'tests' stamp: 'aa 11/5/2020 17:14'!
test02BombermanDaUnPasoHaciaLugarOcupadoPorParedMantieneSuPosicion
  |bomberman unLugar otroLugar|

  unLugar := Lugar new. "por default vacio"
  otroLugar := Lugar con: (Pared new).
  bomberman := Bomberman enLugar: unLugar.

  bomberman mover: otroLugar.

	self deny: (bomberman estaEn: otroLugar).
	self assert: (bomberman estaEn: unLugar).
! !
